#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 46. Printing

- Prev

  Gutenprint-5.3.5

- Next

  libppd-2.1.1

- Up
- Home

# libcupsfilters-2.1.1

## Introduction to libcupsfilters

The libcupsfilters library contains filter functions for the data format conversion tasks needed in Printer Applications. It also contains several API functions for developing printer drivers/Printer Applications.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/OpenPrinting/libcupsfilters/releases/download/2.1.1/libcupsfilters-2.1.1.tar.xz

- Download MD5 sum: 1e3144c242e7ddcee112d41c79266885

- Download size: 1.4 MB

- Estimated disk space required: 39 MB (with tests)

- Estimated build time: 0.1 SBU (Using parallelism=4; with tests)

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/svn/libcupsfilters-2.1.1-security_fixes-1.patch

### libcupsfilters Dependencies

#### Required

Cups-2.4.19, GLib-2.88.0, ghostscript-10.07.0 or mupdf-1.26.12, Little CMS-2.19, Poppler-26.04.0, and Qpdf-12.3.2

#### Recommended

Dejavu fonts (the build fails if they are not installed, although they are only required for the tests), libexif-0.6.26, libjpeg-turbo-3.1.4.1, libpng-1.6.58, and libtiff-4.7.1

## Installation of libcupsfilters

First, fix 2 security vulnerabilities:

    patch -Np1 -i ../libcupsfilters-2.1.1-security_fixes-1.patch

Install libcupsfilters by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static \
                --docdir=/usr/share/doc/libcupsfilters-2.1.1 &&
    make

To test the results, issue make check. DejaVu fonts are needed for the tests.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--with-test-font-path=`VALUE``: If you wish to run the tests, but you do not have the default `/usr/share/fonts/dejavu/DejaVuSans.ttf` font installed, use this switch to specify where `DejaVuSans.ttf` (or perhaps some other text TTF font - though this is untested) is located.

## Contents

Installed Programs: None
Installed Libraries: libcupsfilters.so
Installed Directories: /usr/include/cupsfilters, /usr/share/cups/{banners,charsets,data}, and /usr/share/doc/libcupsfilters-2.1.1

### Short Descriptions

`libcupsfilters.so` | contains CUPS filters API functions

- Prev

  Gutenprint-5.3.5

- Next

  libppd-2.1.1

- Up
- Home